# Neofetch 1.6


### Contributers

Thanks to the following people for contributing this release.

- **[@iandrewt](https://github.com/iandrewt)**
- **[@dawidd6](https://github.com/dawidd6)**
- **[@onodera-punpun](https://github.com/onodera-punpun)**
- **[@onespaceman](https://github.com/onespaceman)**
- **[@firstEncounter](https://github.com/firstEncounter)**

### General

- Fixed buggy colors in older versions of \*BSD, OS X and Linux.
- Added Travis CI support.
- Added `--test` which prints all functions.
- Cleanup of Distro, Uptime and CPU functions.
- We now use a more reliable whitespace trimming substitution for CPU/GPU etc.

### Info

- Functions now no longer print `Unknown` when they fail, they now don't appear at all.

**OS**<br \>
- [ CRUX ] Also print the CRUX version. **[@onodera-punpun](https://github.com/onodera-punpun)**

**CPU**<br \>
- [ Windows ] Don't print CPU cores if detection fails.
- [ BSD ] Fixed extremely long output.
- Fixed broken CPU speed when source is `/proc/cpuinfo`.

**GPU**<br \>
- Don't show GPU output on unsupported OS.
- `Nvidia` is now displayed as `NVIDIA`. **[@firstEncounter](https://github.com/firstEncounter)**

**Battery**<br \>
- Show charging state in battery output. **[@dawidd6](https://github.com/dawidd6)** and **[@iandrewt](https://github.com/iandrewt)**
- [ Windows / OpenBSD ] Fix blank battery output when battery isn't found.

**Resolution**<br \>
- [ Windows ] Don't print resolution if detection fails.
- [ Linux / OSX / BSD ] Print refresh rate next to resolutions.
- [ Linux ] Multi monitor support.

**Public IP**<br \>
- Made public IP function faster by using `dig` if available. **[@iandrewt](https://github.com/iandrewt)**

**Theme**<br \>
- Use `$GTK2_RC_FILES` if the envar is set. **[@onespaceman](https://github.com/onespaceman)**

**Song**<br \>
- [ MPD ] Fixed function when mpd is running on another PC and not your own.
- Song now displays `Not Playing` instead of `Unknown` when no music player is found.
- Added support for Google Play Music Desktop Player (adds optional dependency of [`gpmdp-bash`](https://github.com/iandrewt/gpmdp-bash)) **[@iandrewt](https://github.com/iandrewt)**

**Disk**<br \>
- Added new display option `perc` to display just the percentage with the progress bar.
- Fixed disk usage not working on FreeBSD.

**Memory**<br \>
- [ OpenBSD ] Fixed completely broken memory output on OpenBSD.
- [ Linux ] Rewrote memory function so that it works on old kernel versions.

**Uptime**<br \>
- [ OSX / BSD ] Performance improvements. **[@iandrewt](https://github.com/iandrewt)**
- [ OpenBSD ] Fixed duplicate `up` in output.

**Birthday**<br \>
- Fix stray `+` sign in output.


### Image

- Remove `shuffledir` in favor of '--image path/to/dir/'
- Use `printf` instead of `shuf` to pick a random image.


### Ascii

- Added ascii art for Qubes OS.
- Added ascii art for Travis CI.
- Revamped Alpine Linux's ascii art.
- Fixed missing ascii colors for Puppy Linux.
- [ OSX ] Fixed incorrect text colors.


### Scrot
- Fixed scrot function not using user defined options.
